package cc.toph.progression.item.armor;

import cc.toph.progression.item.ItemSpec;
import cc.toph.progression.item.tier.ArmorTier;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.world.item.ArmorItem;
import org.jetbrains.annotations.NotNull;

// !!! Might not be needed
public class Armor extends ArmorItem implements ItemSpec<Armor> {
    public Armor(ArmorTier tier, Type type, Properties properties) {
        super(tier, type, properties);
    }

    @Override
    public @NotNull ArmorTier getMaterial() {
        return (ArmorTier) this.material;
    }

    public @NotNull ArmorTier getTier() {
        return getMaterial();
    }

    @Override
    public ResourceLocation getLocation() {
        return this.arch$registryName();
    }

    @Override
    public Armor getItemInstance() {
        return this;
    }
}
