package cc.toph.progression.item.tool;

import cc.toph.progression.item.ItemSpec;
import cc.toph.progression.item.tier.ToolTier;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.world.item.AxeItem;
import org.jetbrains.annotations.NotNull;

public class Axe extends AxeItem implements ItemSpec<Axe> {

    // FIXME: damageModifier and speed are not the right values
    public Axe(ToolTier tier, Properties properties) {
        super(tier, tier.getDamageModifier(), tier.getSpeed(), properties);
    }

    @Override
    public @NotNull ToolTier getTier() {
        return (ToolTier) super.getTier();
    }

    @Override
    public ResourceLocation getLocation() {
        return this.arch$registryName();
    }

    @Override
    public Axe getItemInstance() {
        return this;
    }
}
