package cc.toph.progression.item.weapon;

import cc.toph.progression.item.ItemSpec;
import cc.toph.progression.item.tier.ToolTier;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.world.item.SwordItem;
import org.jetbrains.annotations.NotNull;

public class Sword extends SwordItem implements ItemSpec<Sword> {

    public Sword(ToolTier tier, Properties properties) {
        super(tier, (int) tier.getDamageModifier(), tier.getSpeed(), properties);
    }

    @Override
    public @NotNull ToolTier getTier() {
        return (ToolTier) super.getTier();
    }

    @Override
    public ResourceLocation getLocation() {
        return this.arch$registryName();
    }

    @Override
    public Sword getItemInstance() {
        return this;
    }
}
