package cc.toph.progression.tag;

import cc.toph.progression.util.Helpers;
import net.minecraft.core.registries.Registries;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.tags.TagKey;
import net.minecraft.world.item.Item;

public class Tags {

    public enum ITEMS implements TagSpec<Item> {
        COPPER_INGOT("copper_ingot"),
        EXPOSED_COPPER_INGOT("exposed_copper_ingot"),
        WEATHERED_COPPER_INGOT("weathered_copper_ingot"),
        OXIDIZED_COPPER_INGOT("oxidized_copper_ingot"),
        ROSE_GOLD_INGOT("rose_gold_ingot"),
        STURDY_INGOT("sturdy_ingot"),
        STEEL_INGOT("steel_ingot"),
        REFINED_INGOT("refined_ingot"),
        ECHO_INGOT("echo_ingot"),
        WHITHER_INGOT("whither_ingot"),
        VOID_INGOT("void_ingot"),
        SHOCK_INGOT("shock_ingot");

        private final TagKey<Item> tag;

        ITEMS(String name) {
            this.tag = TagKey.create(Registries.ITEM, Helpers.buildLocation(name));
        }

        @Override
        public ResourceLocation getLocation() {
            return tag.location();
        }

        @Override
        public TagKey<Item> tag() {
            return tag;
        }

        @Override
        public String getName() {
            return this.name().toLowerCase();
        }
    }
}
