package cc.toph.progression.util;

import dev.architectury.registry.CreativeTabRegistry;
import net.minecraft.network.chat.Component;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.world.item.ItemStack;

import java.util.function.Supplier;

public class Helpers {

    public static Supplier<CreativeModeTab> supplyCreativeTab(String translateKey, ItemStack Icon) {
        return () -> CreativeTabRegistry.create(
                // TODO: I think this works like string format but verify later
                Component.translatable(translateKey),
                () -> Icon
        );
    }

    public static ResourceLocation buildLocation(String path) {
        return new ResourceLocation(Constants.MOD_ID, path);
    }
}
