package cc.toph.progression.fabric;

import cc.toph.progression.ProgressionPlatform;
import cc.toph.progression.util.Constants;
import net.fabricmc.loader.api.FabricLoader;

import java.nio.file.Path;

public class SimplyCompatPlatformImpl {
    /**
     * Implementation of {@link ProgressionPlatform#getConfigDirectory()}.
     */
    public static Path getConfigDirectory() {
        return FabricLoader.getInstance().getConfigDir();
    }

    /**
     * Implementation of {@link ProgressionPlatform#getConfigDirectory()}.
     */
    public static String getVersion() {
        return FabricLoader.getInstance().getModContainer(Constants.MOD_ID).get().getMetadata().getVersion().toString();
    }


}