package cc.toph.progression.item.armor;

import cc.toph.progression.item.tier.ArmorTier;
import cc.toph.progression.item.tier.ultimate.Ultimate;

public class UltimateArmor extends Armor {

    private Ultimate ultimate;
    private int cooldown;

    public UltimateArmor(ArmorTier tier, Type type, Properties properties, Ultimate ultimate) {
        super(tier, type, properties);
        this.ultimate = ultimate;
    }

    // This probably don't even go here, since all four types of armor should not fire the same event
    void useUltimate() {
//        ultimate.handleUse();
        // TODO: keep track of cooldown
        cooldown = ultimate.getBaseCooldown();
    }

    @Override
    public UltimateArmor getItemInstance() {
        return this;
    }
}
